<?xml version="1.0"?>

<project name="SOA" basedir="." default="usage">

    <property file="build.properties"/>
    <property name="lib.dir" value="lib"/>
    <property name="project.name" value="INF-M3 SOA Sven Stegelmeier"/>

    <target name="usage">
        <echo message=""/>
        <echo message="${project.name} build file"/>
        <echo message="-----------------------------------"/>
        <echo message=""/>
        <echo message="Available targets are:"/>
        <echo message=""/>
        <echo message="buildESB                 --> Builds MULE Enterprise Service Bus"/>
        <echo message="buildTravelAgency        --> Builds the TravelAgency webapplication"/>
        <echo message="buildClubAdministration  --> Builds the ClubAdministration webapplication"/>
        <echo message="buildPDAApplication      --> Builds the PDAApplication webapplication"/>
        <echo message="deployTravelAgency       --> Deploys the TravelAgency webapplication"/>
        <echo message="deployClubAdministration --> Deploys the ClubAdministration webapplication"/>
        <echo message="deployPDAApplication     --> Deploys the PDAApplication webapplication"/>
        <echo message="----------------------------------------------------------------------"/>
        <echo message="buildAll                 --> Build all applications"/>
        <echo message="deployAll                --> deploys all applications"/>
        <echo message=""/>
    </target>

    <target name="buildESB">
        <ant antfile="build.xml" dir="MULE-ESB" target="build"/>
    </target>

    <target name="buildTravelAgency">
        <ant antfile="build.xml" dir="TravelAgency" target="build"/>
    </target>

    <target name="buildClubAdministration">
        <ant antfile="build.xml" dir="ClubAdministration" target="build"/>
    </target>

    <target name="buildPDAApplication">
        <ant antfile="build.xml" dir="PDA-Application" target="build"/>
    </target>

    <target name="deployTravelAgency">
        <ant antfile="build.xml" dir="TravelAgency" target="deploy"/>
    </target>

    <target name="deployClubAdministration">
        <ant antfile="build.xml" dir="ClubAdministration" target="deploy"/>
    </target>

    <target name="deployPDAApplication">
        <ant antfile="build.xml" dir="PDA-Application" target="deploy"/>
    </target>

    <target name="buildAll" depends="buildESB,buildTravelAgency,buildClubAdministration,buildPDAApplication"/>

    <target name="deployAll" depends="buildESB,deployTravelAgency,deployClubAdministration,deployPDAApplication"/>

</project>